Skip to main content
GET
/
rr
/
api
/
v1
/
contracts
/
{contract_id}
/
prepaid-commits
/
{commit_id}
/
consumption
List Prepaid Commit Consumption
curl --request GET \
  --url https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/consumption \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/consumption"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.meetcampfire.com/rr/api/v1/contracts/{contract_id}/prepaid-commits/{commit_id}/consumption', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "count": 123,
  "results": [
    {
      "id": 123,
      "prepaid_commit": 123,
      "entity": 123,
      "period_start": "2023-12-25",
      "period_end": "2023-12-25",
      "currency": "<string>",
      "gross_usage_amount": 0,
      "discount_amount": 0,
      "net_consumption_amount": 0,
      "overage_amount": 0,
      "balance_before": 0,
      "balance_after": 0,
      "revenue_transaction": 123,
      "overage_revenue_transaction": 123,
      "adjustments": [
        {}
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "total_events": -1
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

commit_id
integer
required
contract_id
integer
required

Query Parameters

limit
integer

Number of results to return per page.

offset
integer

The initial index from which to return the results.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=400&limit=100"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?offset=200&limit=100"